
# react-native-core-fullrfid-test

All instructions at https://www.npmjs.com/package/react-native-document-reader-api

Auto generated:

## Getting started

`$ npm install react-native-document-reader-core-NAMEOFCORE --save`

### Mostly automatic installation

`$ react-native link`

or

`$ react-native link react-native-document-reader-core-NAMEOFCORE`

### Manual installation


#### iOS

1. In XCode, in the project navigator, right click `Libraries` ➜ `Add Files to [your project's name]`
2. Go to `node_modules` ➜ `react-native-document-reader-core-NAMEOFCORE` and add `RNCoreFullrfidTest.xcodeproj`
3. In XCode, in the project navigator, select your project. Add `libRNCoreFullrfidTest.a` to your project's `Build Phases` ➜ `Link Binary With Libraries`
4. Run your project (`Cmd+R`)<

#### Android

1. Open up `android/app/src/main/java/[...]/MainActivity.java`
  - Add `import com.regula.documentreader.core.fullrfid.RNCoreFullrfidTestPackage;` to the imports at the top of the file
  - Add `new RNCoreFullrfidTestPackage()` to the list returned by the `getPackages()` method
2. Append the following lines to `android/settings.gradle`:
  	```
  	include ':react-native-document-reader-core-NAMEOFCORE'
  	project(':react-native-document-reader-core-NAMEOFCORE').projectDir = new File(rootProject.projectDir, 	'../node_modules/react-native-document-reader-core-NAMEOFCORE/android')
  	```
3. Insert the following lines inside the dependencies block in `android/app/build.gradle`:
  	```
      compile project(':react-native-document-reader-core-NAMEOFCORE')
  	```


## Usage
```javascript
import RNCoreFullrfidTest from 'react-native-document-reader-core-NAMEOFCORE';

// TODO: What to do with the module?
RNCoreFullrfidTest;
```
  